> ## Documentation Index
> Fetch the complete documentation index at: https://docs.closerx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Invoice

> Generates and returns the Stripe invoice download URL for the given invoice ID.



## OpenAPI

````yaml POST /download-stripe-invoice/
openapi: 3.1.0
info:
  title: CloserX.ai API
  description: >-
    The CloserX.ai API provides programmatic access to manage AI-powered calling
    operations, including agent creation, campaign management, contact handling,
    telephony integration, and more. This API enables seamless automation and
    integration with CRM systems, telephony providers, and other third-party
    services for enhanced client communication and business operations.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.closerx.ai/api
security:
  - api_key: []
paths:
  /download-stripe-invoice/:
    post:
      summary: Download Invoice
      description: >-
        Generates and returns the Stripe invoice download URL for the given
        invoice ID.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DownloadInvoiceRequest'
      responses:
        '200':
          description: Successfully generated invoice PDF URL
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadInvoiceResponse'
        '400':
          description: Invalid invoice ID or request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DownloadInvoiceRequest:
      type: object
      required:
        - invoice_id
      properties:
        invoice_id:
          type: string
          description: The Stripe invoice ID to generate the download link for
          example: h5v6Ae11
    DownloadInvoiceResponse:
      type: object
      properties:
        invoice_pdf_url:
          type: string
          format: uri
          description: Direct PDF URL of the Stripe invoice
    Error:
      required:
        - success
        - message
        - data
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key

````